# Meshing

## Documentation
[![](https://img.shields.io/badge/docs-stable-blue.svg)](https://JuliaGeometry.github.io/Meshing.jl/stable)
[![](https://img.shields.io/badge/docs-dev-blue.svg)](https://JuliaGeometry.github.io/Meshing.jl/dev)

## Build
[![Build Status](https://travis-ci.org/JuliaGeometry/Meshing.jl.svg)](https://travis-ci.org/JuliaGeometry/Meshing.jl)
[![codecov.io](http://codecov.io/github/JuliaGeometry/Meshing.jl/coverage.svg?branch=master)](http://codecov.io/github/JuliaGeometry/Meshing.jl?branch=master)

## About
This package provides a comprehensive suite of meshing (isosurface extraction) algorithms for use on distance fields and other structured datasets.

Algorithms included:
* [Marching Tetrahedra](https://en.wikipedia.org/wiki/Marching_tetrahedra)
* [Marching Cubes](https://en.wikipedia.org/wiki/Marching_cubes)
* [Naive Surface Nets](https://0fps.net/2012/07/12/smooth-voxel-terrain-part-2/)

![CTA Cardio Image](https://raw.githubusercontent.com/JuliaGeometry/Meshing.jl/master/docs/src/img/ctacardio.png)

## License

Available under the MIT "Expat" License, see [LICENSE.md](./LICENSE.md)
